Subject: bug#46306: closed (Re: [bug#46306] Updated "Pioneer" to newest version (20210203))

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 05 Feb 2021 15:51:02 +0000

Your bug report

#46306: Updated "Pioneer" to newest version (20210203)

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46306: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46306
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#46306] Updated "Pioneer" to newest version (20210203)
From: Nicolas Goaziou <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 05 Feb 2021 16:50:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

[email-masked] writes:

> this is my first time trying to send in a patch (after following the
> video tutorials on the homepage). 

Welcome aboard!

> Please feel free to point me to further docs shall I have forgotten or
> done something wrong.

Almost perfect! ;) You simply forgot to add a proper commit message. In
this case it should have been:

   gnu: pioneer: Update to 20210203.

   * gnu/packages/games.scm (pioneer): Update to 20210203.

Note that if you use Emacs and Magit, typing "u p d a t e <TAB>" in an
empty Commit message buffer generates it for you.

I added the message above and pushed.

Thanks!

Regards,
-- 
Nicolas Goaziou

Subject: Updated "Pioneer" to newest version (20210203)
From: [email-masked]
To: [email-masked]
Date: Thu, 04 Feb 2021 23:50:39 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello everyone,

this is my first time trying to send in a patch (after following the 
video tutorials on the homepage). I updated the game "Pioneer" to the 
most recent version.

Please feel free to point me to further docs shall I have forgotten or 
done something wrong.

Have a good day, happy hacking.

Greetings,
Olivier

From f7598fcdcf9839ddf05df355527706ea175606b4 Mon Sep 17 00:00:00 2001
From: Olivier Rojon <[email-masked]>
Date: Thu, 4 Feb 2021 23:45:28 +0100
Subject: [PATCH] Updated to 20210203

---
 gnu/packages/games.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/games.scm b/gnu/packages/games.scm
index e3e18bf09e..24c815d7ad 100644
--- a/gnu/packages/games.scm
+++ b/gnu/packages/games.scm
@@ -56,6 +56,7 @@
 ;;; Copyright © 2020 Leo Prikler <[email-masked]>
 ;;; Copyright © 2020 Lu hux <[email-masked]>
 ;;; Copyright © 2020 Tomás Ortín Fernández <[email-masked]>
+;;; Copyright © 2021 Olivier Rojon <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -7083,7 +7084,7 @@ elements to achieve a simple goal in the most complex way possible.")
 (define-public pioneer
   (package
     (name "pioneer")
-    (version "20200203")
+    (version "20210203")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -7092,7 +7093,7 @@ elements to achieve a simple goal in the most complex way possible.")
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "1011xsi94jhw98mhm8kryq8ajig0qfbrdx5xdasi92bd4nk7lcp8"))))
+                "1zyi1xyghj99hz8fa6dywpscj6flp04fspnlgxbivf3rgmnxflg7"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("pkg-config" ,pkg-config)))
-- 
2.30.0